%define oname	stroke

%define major		0
%define libname		%mklibname %{oname} %{major}
%define develname	%mklibname %{oname} -d

Summary:	Stroke interface library
Name:		libstroke
Version:	0.5.1
Release:	%mkrel 18
URL:		http://www.etla.net/libstroke/
Source0:	http://etla.net/libstroke/%{name}-%{version}.tar.gz
Patch0:		libstroke-0.5.1-fix-underquoted-calls.patch
Patch1:		libstroke-linkage_fix.diff
Patch2:		libstroke-0.5.1-no_gtk1.patch
Patch3:		libstroke-0.5.1-dup-defination.patch
Patch4:		libstroke-0.5.1-drop-unused-comments.patch
Patch5:		libstroke-0.5.1-automake-1.13.patch
License:	GPLv2
Group:		System/Libraries
BuildRequires:	libx11-devel

%description
LibStroke is a stroke interface library. Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

%package -n	%{libname}
Summary:	Stroke interface library
Group:		System/Libraries

%description -n	%{libname}
LibStroke is a stroke interface library. Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

%package -n	%{develname}
Summary:	Development libraries for libStroke
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
LibStroke is a stroke interface library. Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

%prep
%setup -q
%patch0 -p1 -b .underquoted
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# we don't want these
rm -rf %{buildroot}%{_libdir}/libstroke.la

%files -n %{libname}
%doc README AUTHORS NEWS
%{_libdir}/libstroke.so.%{major}*

%files -n %{develname}
%doc TODO
%{_datadir}/aclocal/*
%{_libdir}/libstroke.so
%{_includedir}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.5.1-18.mga3
+ Revision: 358221
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 0.5.1-17.mga3
+ Revision: 341460
- patch5: fix build with automake 1.13

* Sun Oct 14 2012 fwang <fwang> 0.5.1-16.mga3
+ Revision: 305304
- cleanup spec

* Sat Mar 26 2011 wally <wally> 0.5.1-16.mga1
+ Revision: 77675
- use upstream provided source tarball
- drop old obsoletes
- drop old mdv scriptlets
- disable static build
- imported package libstroke

